Returns list of video content from GIPHY's network content based on given query phase.
| GET /v1/clips/search |
| Request Parameters: | Required: | Description: |
|---|---|---|
| api_key | Yes | Your issued API key |
| q | Yes | Search phrase; Should be the exact terms the user searched for without any correction/enhancement. Maximum length: 50 chars. |
| limit | No | Number of content to return from the offset. Defaults to 25. |
| offset | No | The offset to start returning content. Defaults to 0. |
| country_code | No | The country code, in ISO-3166-1 alpha-2 format. Defaults to automatic detection based on IP. Required if API is implemented via a proxy. |
| lang | No | The language code, in ISO-639-1 format. Defaults to automatic detection based on IP. |
| rating | No | The maximum rating of content to return. Defaults to R. |